GET api/contractapi/contract/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractViewModel
NameDescriptionTypeAdditional information
selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

washing_processes

Collection of WashingProcessViewModel

None.

active

boolean

Required

certificate_type_id

globally unique identifier

Required

code

integer

None.

delay_between_scans

integer

None.

id

globally unique identifier

None.

internal_reference

string

String length: inclusive between 0 and 50

item_wash_max

integer

None.

language_code

string

Required

String length: inclusive between 0 and 10

name

string

Required

String length: inclusive between 0 and 100

packaging_type_id

globally unique identifier

Required

packing_type_id

globally unique identifier

Required

particles_control

boolean

Required

peremption_month

integer

None.

peremption_print_cleanroom

boolean

Required

peremption_print_date

boolean

Required

peremption_print_expedition

boolean

Required

permanent_management

boolean

Required

pool_id

globally unique identifier

None.

remark

string

None.

site_customer_id

globally unique identifier

Required

sorting_type_id

globally unique identifier

Required

type

string

Required

String length: inclusive between 0 and 1

Response Formats

application/json, text/json

Sample:
{
  "selected_nameplate_id": "dbdf0a7a-3e19-4550-b53c-025154397e3b",
  "selected_sticker_id": "b1499f3a-b9c3-4c3e-ae11-d1271b1a9d7e",
  "washing_processes": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "94490a7a-56f0-4bdc-b034-518639da3cc5",
      "site_id": "616b3f5e-dd23-4f92-bdfb-6b1baf72e7f0"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "active": true,
      "code": "sample string 2",
      "id": "94490a7a-56f0-4bdc-b034-518639da3cc5",
      "site_id": "616b3f5e-dd23-4f92-bdfb-6b1baf72e7f0"
    }
  ],
  "active": true,
  "certificate_type_id": "d0f9a47f-601c-425b-9486-25ec315c2d6f",
  "code": 1,
  "delay_between_scans": 1,
  "id": "739193a6-f7e3-4d9b-b8a1-c82455ba15d3",
  "internal_reference": "sample string 4",
  "item_wash_max": 1,
  "language_code": "sample string 5",
  "name": "sample string 6",
  "packaging_type_id": "ac226fe5-ad46-4063-afa6-82c8bbcc5bac",
  "packing_type_id": "db1fe9e9-0e5f-4ca6-8dc3-9d7d9bb94b18",
  "particles_control": true,
  "peremption_month": 1,
  "peremption_print_cleanroom": true,
  "peremption_print_date": true,
  "peremption_print_expedition": true,
  "permanent_management": true,
  "pool_id": "262a8ebb-efdd-4f0e-a1c3-7525c8c88f61",
  "remark": "sample string 14",
  "site_customer_id": "f3517c6a-bfe1-4c82-b584-783e10d6dc08",
  "sorting_type_id": "d75b0bef-652d-40d7-a2a3-1a8e18200aeb",
  "type": "sample string 17"
}

application/xml, text/xml

Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <certificate_type_id>d0f9a47f-601c-425b-9486-25ec315c2d6f</certificate_type_id>
  <code>1</code>
  <delay_between_scans>1</delay_between_scans>
  <id>739193a6-f7e3-4d9b-b8a1-c82455ba15d3</id>
  <internal_reference>sample string 4</internal_reference>
  <item_wash_max>1</item_wash_max>
  <language_code>sample string 5</language_code>
  <name>sample string 6</name>
  <packaging_type_id>ac226fe5-ad46-4063-afa6-82c8bbcc5bac</packaging_type_id>
  <packing_type_id>db1fe9e9-0e5f-4ca6-8dc3-9d7d9bb94b18</packing_type_id>
  <particles_control>true</particles_control>
  <peremption_month>1</peremption_month>
  <peremption_print_cleanroom>true</peremption_print_cleanroom>
  <peremption_print_date>true</peremption_print_date>
  <peremption_print_expedition>true</peremption_print_expedition>
  <permanent_management>true</permanent_management>
  <pool_id>262a8ebb-efdd-4f0e-a1c3-7525c8c88f61</pool_id>
  <remark>sample string 14</remark>
  <site_customer_id>f3517c6a-bfe1-4c82-b584-783e10d6dc08</site_customer_id>
  <sorting_type_id>d75b0bef-652d-40d7-a2a3-1a8e18200aeb</sorting_type_id>
  <type>sample string 17</type>
  <selected_nameplate_id>dbdf0a7a-3e19-4550-b53c-025154397e3b</selected_nameplate_id>
  <selected_sticker_id>b1499f3a-b9c3-4c3e-ae11-d1271b1a9d7e</selected_sticker_id>
  <washing_processes>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>94490a7a-56f0-4bdc-b034-518639da3cc5</id>
      <site_id>616b3f5e-dd23-4f92-bdfb-6b1baf72e7f0</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
    <washing_process>
      <active>true</active>
      <code>sample string 2</code>
      <id>94490a7a-56f0-4bdc-b034-518639da3cc5</id>
      <site_id>616b3f5e-dd23-4f92-bdfb-6b1baf72e7f0</site_id>
      <descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 1</d4p1:Key>
          <d4p1:Value>sample string 2</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>sample string 3</d4p1:Key>
          <d4p1:Value>sample string 4</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </descriptions>
    </washing_process>
  </washing_processes>
</contract>